aboutsummaryrefslogtreecommitdiff
path: root/board/synopsys/axs10x/post-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'board/synopsys/axs10x/post-build.sh')
-rwxr-xr-xboard/synopsys/axs10x/post-build.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/board/synopsys/axs10x/post-build.sh b/board/synopsys/axs10x/post-build.sh
new file mode 100755
index 0000000000..f23c8a99b8
--- /dev/null
+++ b/board/synopsys/axs10x/post-build.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -u
+set -e
+
+# Add a console on tty0
+if [ -e ${TARGET_DIR}/etc/inittab ]; then
+ grep -qE '^tty0::' ${TARGET_DIR}/etc/inittab || \
+ sed -i '/GENERIC_SERIAL/a\
+tty0::respawn:/sbin/getty 115200 tty0' ${TARGET_DIR}/etc/inittab
+fi